%define gitname Trimage

Name:           trimage
Version:        1.0.5
Release:        %mkrel 0.1
Summary:        Tool for Losslessly Optimizing PNG and JPEG Files
License:        MIT
Group:          Graphics/Utilities
URL:            http://trimage.org/
Source0:        https://github.com/Kilian/Trimage/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         trimage-1.0.5-mga-fix_version.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       advancecomp
Requires:       jpegoptim
Requires:       optipng
Requires:       pngcrush
Requires:       python-qt4

%description
Trimage is a cross-platform GUI and command-line interface to optimize
image files via optipng, pngcrush, advpng and jpegoptim, depending on
the filetype (currently, PNG and JPEG files are supported). It was
inspired by imageoptim. All image files are losslessy compressed on
the highest available compression levels. Trimage gives you various
input functions to fit your own workflow: a regular file dialog,
dragging and dropping and various command line options.

%prep
%setup -q -n %{gitname}-%{version}
%apply_patches

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

%files
%doc COPYING README resources/todo
%{_bindir}/%{name}
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man?/%{name}.1.*

%changelog
* Sun Apr 05 2015 daviddavid <daviddavid> 1.0.5-0.1.mga4
- imported package trimage
- build package for Mageia 4 (Core\MLO)
